package com.me.brickbuster.entity;

import com.badlogic.gdx.graphics.glutils.ShapeRenderer;

public abstract class Entity {

	private ShapeRenderer shapeRenderer;
	private int x, y;

	public Entity(int x, int y) {
		this.shapeRenderer = new ShapeRenderer();
		this.x = x;
		this.y = y;
	}

	public abstract void render();

	public abstract void update(float dt);

	public ShapeRenderer getShapeRenderer() {
		return shapeRenderer;
	}

	public int getX() {
		return x;
	}

	public void setX(int x) {
		this.x = x;
	}

	public int getY() {
		return y;
	}

	public void setY(int y) {
		this.y = y;
	}

}
