package com.me.brickbuster.entity;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.me.brickbuster.BrickBuster;

public class Paddle extends Entity {

	public static final Color PADDLE_COLOR = Color.BLACK;
	public static final int PADDLE_WIDTH = 50;
	public static final int PADDLE_HEIGHT = 15;

	public Paddle() {
		super(BrickBuster.WIDTH/2, 50);
	}

	@Override
	public void render() {
		getShapeRenderer().begin(ShapeRenderer.ShapeType.Filled);
		getShapeRenderer().setColor(PADDLE_COLOR);
		getShapeRenderer().rect(getX() - (PADDLE_WIDTH/2), getY() - (PADDLE_HEIGHT/2), PADDLE_WIDTH, PADDLE_HEIGHT);
		getShapeRenderer().end();
	}

	@Override
	public void update(float dt) {

	}

}
